#!/usr/bin/env python
import sys
from typing import Iterable

def find2020(nums: Iterable[int]) -> int:
    candidates = set()
    for num in nums:
        opposite = 2020-num
        if num in candidates:
            return num * opposite
        candidates.add(opposite)

if __name__ == '__main__':
    with open(sys.argv[1], 'r') as f:
        print(find2020(int(n) for n in f.readlines()))
